@import "src/components/Theme";

.container {
  position: relative;
}

.button {
  border-radius: 4px;
  background: $mainBlue;
  outline: none;
  display: flex;
  border: none;

  margin: 0;
  padding: 8px 16px 8px 20px;
  box-sizing: border-box;

  &:hover {
    background: $mainBlueHover;
  }

  &:active {
    background: $mainBluePressed;
  }
}

.icon {
  max-width: 16px;
  max-height: 16px;
  margin-left: 8px;
}

.label {
  @include h2HeadlineType($mainWhite);
  display: flex;
  align-items: center;
}

.dropDown {
  position: absolute;
  z-index: $dropDownLayer;
  width: 100%;
  top: 44px;
  background: $mainWhite;
  border: 1px solid rgba(157, 160, 178, 0.16);
  box-sizing: border-box;
  box-shadow: 0px 8px 24px rgba(0, 0, 0, 0.08);
  border-radius: 2px;
  padding-top: 8px;
  padding-bottom: 8px;
  display: flex;
  flex-direction: column;

  .option {
    @include bodyRegularType($mainDark);
    background: transparent;
    outline: none;
    display: flex;
    border: none;

    margin: 0;
    padding: 6px;
    box-sizing: border-box;

    &:hover {
      color: $mainBlue;
      background: $background64;
    }

    &:active {
      color: $mainBlue;
      background: $background64;
    }
  }
}